FLTK 1.3.3

- Main Page
- Related Pages
- Modules
- Classes
- Files

- File List
- File Members

Macros | Typedefs | Functions
filename.H File Reference

File names and URI utility functions. More...

`#include "Fl_Export.H"`
`#include <sys/types.h>`
`#include <dirent.h>`

Go to the source code of this file.

## Macros
#define | fl_dirent_h_cyclic_include
#define | FL_FILENAME_H
#define | FL_PATH_MAX 2048
| all path buffers should use this length

## Typedefs
typedef int( | Fl_File_Sort_F )(struct dirent **, struct dirent **)
| File sorting function. More...

## Functions
FL_EXPORT void | fl_decode_uri (char *uri)
| Decodes a URL-encoded string. More...
FL_EXPORT int | fl_filename_absolute (char *to, int tolen, const char *from)
| Makes a filename absolute from a relative filename. More...
FL_EXPORT int | fl_filename_expand (char *to, int tolen, const char *from)
| Expands a filename containing shell variables and tilde (~). More...
FL_EXPORT const char * | fl_filename_ext (const char *buf)
| Gets the extensions of a filename. More...
FL_EXPORT void | fl_filename_free_list (struct dirent ***l, int n)
| Free the list of filenames that is generated by fl_filename_list(). More...
FL_EXPORT int | fl_filename_isdir (const char *name)
| Determines if a file exists and is a directory from its filename. More...
FL_EXPORT int | fl_filename_list (const char *d, struct dirent ***l, Fl_File_Sort_F *s=fl_numericsort)
| Portable and const-correct wrapper for the scandir() function. More...
FL_EXPORT int | fl_filename_match (const char *name, const char *pattern)
| Checks if a string `s` matches a pattern `p`. More...
FL_EXPORT const char * | fl_filename_name (const char *filename)
| Gets the file name from a path. More...
FL_EXPORT int | fl_filename_relative (char *to, int tolen, const char *from)
| Makes a filename relative to the current working directory. More...
FL_EXPORT char * | fl_filename_setext (char *to, int tolen, const char *ext)
| Replaces the extension in `buf` of max. More...
FL_EXPORT int | fl_open_uri (const char *uri, char *msg, int msglen)
| Opens the specified Uniform Resource Identifier (URI). More...

## Detailed Description

File names and URI utility functions.

- © 1998-2014 by Bill Spitzak and others.